GET /neuron/select
neuromorpho.org:neuromorpho.org-api
Summary: Query neurons
Operation ID: selectNeurons
Auth: unknown
Operation ID: selectNeurons
Auth: unknown
Description
Search and retrieve neuron records using field-value query pairs. Supports filtering by any neuron field.
Parameters (3)
page
(integer, query, optional, default: 0)
Page number (0-indexed)
Constraints: {'minimum': 0}
q
(string, query, required)
Query string in format 'field:value'. Multiple conditions can be combined with AND/OR operators.
size
(integer, query, optional, default: 50)
Number of results per page (default: 50)
Constraints: {'minimum': 1}
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search neurons by species (mouse) | curl |
https://neuromorpho.org/api/neuron/select?q=species:mouse |
|
| Search neurons by brain region with pagination | curl |
https://neuromorpho.org/api/neuron/select?q=brain_region:hippocampus&page=0&size=10 |
|
| Search neurons by cell type and species | curl |
https://neuromorpho.org/api/neuron/select?q=cell_type:pyramidal%20species:rat |
|
| Query neurons | openapi-spec |
https://neuromorpho.org/api/neuron/select?q=species:human |
|
| Query neurons | probe-gate |
https://neuromorpho.org/api/neuron/select?q=species%3Ahuman&size=50&page=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:19:06.755130 | 200 | 499ms | |
| 2026-03-23 10:18:03.685515 | 200 | 447ms | |
| 2026-03-23 10:09:41.592401 | 200 | 5178ms | |
| 2026-03-23 09:25:47.610620 | 200 | 466ms | |
| 2026-03-23 09:08:35.077047 | 200 | 547ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:25:47.610620 | e4586a1d8210 |
4266c1af88b8 |
| 2026-03-23 10:09:41.592401 | 4266c1af88b8 |
079c03e917e4 |
| 2026-03-23 10:18:03.685515 | 079c03e917e4 |
f2fc11f05140 |